summaryrefslogtreecommitdiffstats
path: root/rhino
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2011-11-28 20:38:45 +0000
committer Eric Hameleers <alien@slackware.com>2011-11-28 20:38:45 +0000
commit99e8d81ea6e4498d3c7ccedaa0600af9441703b5 (patch)
tree034dc882881a17ac219486457c70da191b2bc0f9 /rhino
parent0370c022d8612d1a7ea690b1afabf49edba6ca08 (diff)
downloadasb-99e8d81ea6e4498d3c7ccedaa0600af9441703b5.tar.gz
asb-99e8d81ea6e4498d3c7ccedaa0600af9441703b5.tar.xz
Initial revision
Diffstat (limited to 'rhino')
-rwxr-xr-xrhino/build/rhino.SlackBuild164
1 files changed, 164 insertions, 0 deletions
diff --git a/rhino/build/rhino.SlackBuild b/rhino/build/rhino.SlackBuild
new file mode 100755
index 00000000..3504e44a
--- /dev/null
+++ b/rhino/build/rhino.SlackBuild
@@ -0,0 +1,164 @@
+#!/bin/sh
+# $Id$
+# Copyright 2011 Eric Hameleers, Eindhoven, NL
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+# -----------------------------------------------------------------------------
+#
+# Slackware SlackBuild script
+# ===========================
+# By: Eric Hameleers <alien@slackware.com>
+# For: rhino
+# Descr: a javascript library for java
+# URL: http://www.mozilla.org/rhino/
+# Needs: apache-ant
+# Changelog:
+# 1_7R3-1: 28/nov/2011 by Eric Hameleers <alien@slackware.com>
+# * Initial build.
+#
+# Run 'sh xalan.SlackBuild' to build a Slackware package.
+# The package (.tgz) and .txt file as well as build logs are created in /tmp .
+# Install it using 'installpkg'.
+#
+# -----------------------------------------------------------------------------
+
+# Set initial variables:
+
+PRGNAM=rhino
+VERSION=${VERSION:-1_7R3}
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-alien}
+DOCS="LICENSE*"
+EXTENDED_DOCS=${EXTENDED_DOCS:-NO} # Set to "YES" if you need the developer docs
+
+# Use the standardized ANT_HOME location:
+ANT_HOME=${ANT_HOME:-/usr/share/ant}
+
+# Where do we look for sources?
+SRCDIR=$(cd $(dirname $0); pwd)
+
+# Place to build (TMP) package (PKG) and output (OUTPUT) the program:
+TMP=${TMP:-/tmp/build}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+SOURCE="$SRCDIR/rhino${VERSION}.zip"
+SRCURL="ftp://ftp.mozilla.org/pub/mozilla.org/js/rhino${VERSION}.zip"
+
+##
+## --- with a little luck, you won't have to edit below this point --- ##
+##
+
+# Exit the script on errors:
+set -e
+trap 'echo "$0 FAILED at line ${LINENO}" | tee $OUTPUT/error-${PRGNAM}.log' ERR
+# Catch unitialized variables:
+set -u
+P1=${1:-1}
+
+# Save old umask and set to 0022:
+_UMASK_=$(umask)
+umask 0022
+
+# Create working directories:
+mkdir -p $OUTPUT # place for the package to be saved
+mkdir -p $TMP/tmp-$PRGNAM # location to build the source
+mkdir -p $PKG # place for the package to be built
+rm -rf $PKG/* # always erase old package's contents
+rm -rf $TMP/tmp-$PRGNAM/* # remove the remnants of previous build
+rm -rf $OUTPUT/{configure,make,install,error,makepkg}-$PRGNAM.log
+ # remove old log files
+
+# Source file availability:
+if ! [ -f ${SOURCE} ]; then
+ if ! [ "x${SRCURL}" == "x" ]; then
+ # Check if the $SRCDIR is writable at all - if not, download to $OUTPUT
+ [ -w "$SRCDIR" ] || SOURCE="$OUTPUT/$(basename $SOURCE)"
+ echo "Source '$(basename ${SOURCE})' not available yet..."
+ echo "Will download file to $(dirname $SOURCE)"
+ wget -nv -T 20 -O "${SOURCE}" "${SRCURL}" || true
+ if [ $? -ne 0 -o ! -s "${SOURCE}" ]; then
+ echo "Downloading '$(basename ${SOURCE})' failed... aborting the build."
+ mv -f "${SOURCE}" "${SOURCE}".FAIL
+ exit 1
+ fi
+ else
+ echo "File '$(basename ${SOURCE})' not available... aborting the build."
+ exit 1
+ fi
+fi
+
+if [ "$P1" == "--download" ]; then
+ echo "Download complete."
+ exit 0
+fi
+
+# --- PACKAGE BUILDING ---
+
+echo "++"
+echo "|| $PRGNAM-$VERSION"
+echo "++"
+
+cd $TMP/tmp-$PRGNAM
+echo "Extracting the source archive(s) for $PRGNAM..."
+unzip ${SOURCE}
+cd ${PRGNAM}${VERSION}
+chown -R root:root .
+chmod -R u+w,go+r-w,a+X-s .
+
+# Copy the ant libraries into place
+mkdir -p $PKG/${ANT_HOME}/lib
+mkdir -p $PKG/usr/share/java
+cp -a js.jar $PKG/${ANT_HOME}/lib/${PRGNAM}.jar
+
+# Make the ant jars available in the java environment:
+mkdir -p $PKG/usr/share/java
+for FILE in $PKG/$ANT_HOME/lib/*.jar ; do
+ ln -sf $ANT_HOME/lib/$(basename $FILE) $PKG/usr/share/java/$(basename $FILE)
+done
+
+# Add documentation:
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION || true
+if [ "$EXTENDED_DOCS" != "NO" ]; then
+ cp -a javadoc/* $PKG/usr/doc/$PRGNAM-$VERSION || true
+fi
+cat $SRCDIR/$(basename $0) > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+chown -R root:root $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+
+# Add a package description:
+mkdir -p $PKG/install
+cat $SRCDIR/slack-desc > $PKG/install/slack-desc
+cat $SRCDIR/slack-required > $PKG/install/slack-required
+
+# Build the package:
+cd $PKG
+makepkg --linkadd y --chown n $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.${PKGTYPE:-tgz} 2>&1 | tee $OUTPUT/makepkg-${PRGNAM}.log
+cd $OUTPUT
+md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.${PKGTYPE:-tgz} > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.${PKGTYPE:-tgz}.md5
+cd -
+cat $PKG/install/slack-desc | grep "^${PRGNAM}" > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.txt
+cat $PKG/install/slack-required > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.dep
+
+# Restore the original umask:
+umask ${_UMASK_}
+